Overview | Modules | Class Hierarchy | Classes | Members

# CopyPropertyDialog Class Reference

`#include <CopyPropertyDialog.h>`

List of all members.

## Public Types

- enum destType { NEW, LOCAL, INHERITED }

## Public Slots

- void setNew (bool)
- void setLocal (bool)
- void setInherited (bool)

## Public Member Functions

- CopyPropertyDialog (QWidget *parent=0)
- void setProperties (std::string &srcProp, std::vector< std::string > &localProps, std::vector< std::string > &inheritedProps)
- std::string getDestinationProperty (destType &)

## Member Enumeration Documentation

enum CopyPropertyDialog::destType

Enumerator:

  NEW |
  LOCAL |
  INHERITED |

## Constructor & Destructor Documentation

CopyPropertyDialog::CopyPropertyDialog | ( | QWidget * | parent = `0` | ) |

## Member Function Documentation

std::string CopyPropertyDialog::getDestinationProperty | ( | destType & |  | ) |

void CopyPropertyDialog::setInherited | ( | bool |  | ) | `[slot]`

void CopyPropertyDialog::setLocal | ( | bool |  | ) | `[slot]`

void CopyPropertyDialog::setNew | ( | bool |  | ) | `[slot]`

void CopyPropertyDialog::setProperties | ( | std::string & | srcProp,
|  | std::vector< std::string > & | localProps,
|  | std::vector< std::string > & | inheritedProps
| ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010